Subject: Re: locally storing issues/comments/projects

From: Sahil Gautam <[email-masked]>
Date: Wed, 9 Jul 2025 06:30:03 +0530

On 7/9/25 6:11 AM, Eli Schwartz wrote:
> On 7/8/25 8:21 PM, Sahil Gautam wrote:
>> On 7/9/25 3:01 AM, Junio C Hamano wrote:
>>> It would be very nice if these hosting providers can agree to make
>>> project metainformations interchangeable in an open way.
>> it's not just about migrations, it's about a repository being self
>> reliant in itself. think of some git
>> hosting provider blocking my account because of some ai algorithm, think
>> of some disaster striking
>> some data center or some malware deleting all the data on the servers,
>> all these are quite possible.
>>
>> having git store that data means that you clone the whole thing and
>> doesn't matter what happens
>> to the hosting provider, if you have the repository, you have the whole
>> thing.
>
> You may be interested in https://github.com/git-bug/git-bug
>
thanks Eli,

i will look into git-bug try it out and see if it
does the job. i think like docker-compose, any other feature requests such
as this one have to first prove their worth in the wild, and since your 
suggestion
gave me a hint that they can exist separately, i will take that route.